Index: Innova/AddProduct.php
===================================================================
--- Innova/AddProduct.php	(revision 057badcf12f95acf9e6a4b4ccb9fc0abcae5d517)
+++ Innova/AddProduct.php	(revision 8c67304de5dc54732d9f3b1afee5777dd347a002)
@@ -37,5 +37,5 @@
                 <option value="Power-Supply">Power Supply</option>
                 <option value="Monitor">Monitor</option>
-                <option value="Periferii">Periferii</option>
+                <option value="Peripherals">Peripherals</option>
                 <option value="Cases">Cases</option>
                 <option value="Data">Data</option>
Index: Innova/Home.php
===================================================================
--- Innova/Home.php	(revision 057badcf12f95acf9e6a4b4ccb9fc0abcae5d517)
+++ Innova/Home.php	(revision 8c67304de5dc54732d9f3b1afee5777dd347a002)
@@ -34,5 +34,5 @@
                     <p>Гејминг монитор дизајниран за најдобро визуелно искуство. Со извонредна резолуција, брзо освежување и време на одговор, овој монитор овозможува ултра-гладка и реалистична графика. Кривината на екранот и напредната технологија за синхронизација го прават идеален за интензивен гејминг и мултимедијална употреба. Samsung Odyssey е совршен избор за гејмери кои бараат квалитет и перформанси.</p>
                     <div class="btn">
-                        <a href="" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
+                        <a href="./Product.php?product_id=107" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
                     </div>
 
@@ -45,5 +45,5 @@
                     <p>Врвна гејминг тастатура со Razer оптички прекинувачи за ултрабрза реакција. Со RGB осветлување прилагодливо преку Razer Chroma и издржлив дизајн, оваа тастатура нуди импресивно гејминг искуство и удобност за долги сесии. Совршена за професионалци и аматери.</p>
                     <div class="btn">
-                    <a href="" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
+                    <a href="./Product.php?product_id=129" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
                 </div>
                 </div>
@@ -55,5 +55,5 @@
                     <p>Висококвалитетен гејминг глушец со Razer оптички сензор за прецизно следење и брзи реакции. Дизајниран е за максимална удобност и леснотија, со ергономска форма и лесна тежина. </p>
                     <div class="btn">
-                    <a href="" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
+                    <a href="./Product.php?product_id=128" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
                 </div>
                 </div>
@@ -65,5 +65,5 @@
                     <p>Графичка картичка со најнова архитектура, нудејќи неверојатна графичка моќ и перформанси. Со 24GB GDDR6X меморија, поддршка за Ray Tracing и DLSS, оваа картичка е идеална за гејминг на највисоко ниво и професионални графички задачи. Овозможува ултра-гладок фрејмрејт и реалистични визуелни ефекти, правејќи ја совршен избор за најпребирливите корисници.</p>
                     <div class="btn">
-                    <a href="" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
+                    <a href="./Product.php?product_id=121" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
                 </div>
                 </div>
@@ -75,5 +75,5 @@
                     <p>Иновативна механичка тастатура со аналогни оптички прекинувачи, овозможувајќи прецизна контрола и уникатно гејминг искуство. Компактниот 60% дизајн ја прави идеална за минималистички сетапи, додека RGB осветлувањето со прилагодување додава стил и персонализација. Совршена за гејмери и професионалци кои бараат врвни перформанси и удобност.</p>
                     <div class="btn">
-                    <a href="" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
+                    <a href="./Product.php?product_id=127" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
                 </div>
                 </div>
@@ -85,5 +85,5 @@
                     <p>Mоќна графичка картичка со најнова RDNA 3 архитектура, нудејќи врвни перформанси и неверојатна графика. Со голема количина на меморија и поддршка за најновите технологии, оваа картичка е идеална за гејминг, 3D рендерирање и професионални графички задачи. Овозможува висока резолуција, брзина и реалистични визуелни ефекти, правејќи ја одличен избор за сите кои бараат најдоброто.</p>
                     <div class="btn">
-                    <a href="" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
+                    <a href="./Product.php?product_id=122" class="main-button">Купете сега! <i class='bx bx-right-arrow-alt' ></i></a> 
                 </div>
                 </div>
Index: Innova/Products.php
===================================================================
--- Innova/Products.php	(revision 057badcf12f95acf9e6a4b4ccb9fc0abcae5d517)
+++ Innova/Products.php	(revision 8c67304de5dc54732d9f3b1afee5777dd347a002)
@@ -250,8 +250,8 @@
                             if($category != 'All') {
                                 if($price_sort == 'low-to-high') {
-                                    $all_products = mysqli_query($conn, "SELECT * FROM products WHERE category = \"$category\";");
+                                    $all_products = mysqli_query($conn, "SELECT * FROM products WHERE category = \"$category\" ORDER BY (price - (price*discount/100.0)) ASC;");
                                 }
                                 else if($price_sort == 'high-to-low') {
-                                    $all_products = mysqli_query($conn, "SELECT * FROM products WHERE category = \"$category\";");
+                                    $all_products = mysqli_query($conn, "SELECT * FROM products WHERE category = \"$category\" ORDER BY (price - (price*discount/100.0)) DESC;");
                                 }
                                 else {
Index: Innova/components/Header.html
===================================================================
--- Innova/components/Header.html	(revision 057badcf12f95acf9e6a4b4ccb9fc0abcae5d517)
+++ Innova/components/Header.html	(revision 8c67304de5dc54732d9f3b1afee5777dd347a002)
@@ -7,12 +7,12 @@
         <li class="dropdown-list"><a href="./Products.php">products</a>
             <ul class="dropdown-menu">
-                <li>Процесори</li>
-                <li>Графички</li>
-                <li>Матични</li>
-                <li>Напојувања</li>
-                <li>Монитори</li>
-                <li>Периферии</li>
-                <li>Куќишта</li>
-                <li>Дата</li>
+                <li><a href="./Products.php?category=CPU">Процесори</a></li>
+                <li><a href="./Products.php?category=GPU">Графички</a></li>
+                <li><a href="./Products.php?category=Motherboards">Матични</a></li>
+                <li><a href="./Products.php?category=PSU">Напојувања</a></li>
+                <li><a href="./Products.php?category=Monitor">Монитори</a></li>
+                <li><a href="./Products.php?category=Peripherals">Периферии</a></li>
+                <li><a href="./Products.php?category=Cases">Куќишта</a></li>
+                <li><a href="./Products.php?category=Storage">Дата</a></li>
             </ul>
         </li>
